package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 考试试卷结构 Mapper 接口
 * </p>
 *
 * @author xf
 */
public interface ExamPaperStructureMapper extends BaseMapper<ExamPaperStructure> {
    IPage<ExamPaperStructure> listByPropositionTeacherId(@Param("page") Page<ExamPaperStructure> page, @Param("schoolId") Long schoolId, @Param("propositionTeacherId") Long propositionTeacherId);
}
